summaryrefslogtreecommitdiff
path: root/eclass/bzr.eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/bzr.eclass')
-rw-r--r--eclass/bzr.eclass6
1 files changed, 3 insertions, 3 deletions
diff --git a/eclass/bzr.eclass b/eclass/bzr.eclass
index 598a0f87fe6d..fc1de9dc9ccc 100644
--- a/eclass/bzr.eclass
+++ b/eclass/bzr.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-#
+
# @ECLASS: bzr.eclass
# @MAINTAINER:
# Ulrich Müller <ulm@gentoo.org>
@@ -197,7 +197,7 @@ bzr_update() {
|| die "${EBZR}: can't chdir to ${branch_dir}"
${EBZR_UPDATE_CMD} ${EBZR_OPTIONS} "${repo_uri}" \
|| die "${EBZR}: can't pull from ${repo_uri}"
- popd > /dev/null
+ popd > /dev/null || die "${EBZR}: popd failed"
fi
}
@@ -278,7 +278,7 @@ bzr_fetch() {
einfo \
"revision ${EBZR_REVISION:-${EBZR_REVNO}} is now in ${EBZR_UNPACK_DIR}"
- popd > /dev/null
+ popd > /dev/null || die "${EBZR}: popd failed"
}
# @FUNCTION: bzr_src_unpack